From 7325419b6b21429429c68c4d3571be08dcfe7365 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Wed, 2 May 2012 08:23:34 +0300
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                                    |    2 --
 debian/axel.docs                                        |    2 +-
 debian/changelog                                        |    9 +++++++++
 debian/compat                                           |    2 +-
 debian/control                                          |   10 +++++-----
 debian/patches/00list                                   |    3 ---
 .../{01_bug_report.dpatch => 01-bug-report.patch}       |    8 ++------
 .../patches/{02_axelkapt.dpatch => 02-axelkapt.patch}   |   10 +++-------
 .../{03_manpage_err.dpatch => 03-manpage-err.patch}     |    8 ++------
 debian/patches/series                                   |    3 +++
 debian/rules                                            |   15 +++++++++------
 debian/source/format                                    |    1 +
 12 files changed, 36 insertions(+), 37 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{01_bug_report.dpatch => 01-bug-report.patch} (94%)
 rename debian/patches/{02_axelkapt.dpatch => 02-axelkapt.patch} (77%)
 rename debian/patches/{03_manpage_err.dpatch => 03-manpage-err.patch} (70%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index 5770e53..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,2 +0,0 @@
-Please read the README.source provided with the documentation of the
-dpatch package
diff --git a/debian/axel.docs b/debian/axel.docs
index 977e38a..e29be12 100644
--- a/debian/axel.docs
+++ b/debian/axel.docs
@@ -1,4 +1,4 @@
 API
 CREDITS
 README
-debian/README.source
+
diff --git a/debian/changelog b/debian/changelog
index a0a6758..df4cd44 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,12 @@
+axel (2.4-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
+  * Update to Standards-Version to 3.9.3 and debhelper to 9.
+  * Add build-arch and build-indep targets; use dh_prep in rules file.
+
+ -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 May 2012 08:21:18 +0300
+
 axel (2.4-1) unstable; urgency=low
 
   * New upstream release 2.4
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 5394b3d..2776bfc 100644
--- a/debian/control
+++ b/debian/control
@@ -2,15 +2,15 @@ Source: axel
 Section: web
 Priority: optional
 Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
-Standards-Version: 3.8.1
-Build-Depends: gettext, debhelper (>= 5), dpatch
+Standards-Version: 3.9.3
+Build-Depends: gettext, debhelper (>= 9)
 Homepage: http://axel.alioth.debian.org/
 Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/axel/unstable
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/axel/unstable/?op=log
 
 Package: axel
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: light download accelerator - console version
  Axel tries to accelerate the downloading process by using multiple connections
  for one file.  It can also use multiple mirrors for one download.  Axel tries
@@ -21,7 +21,7 @@ Package: axel-dbg
 Section: debug
 Architecture: any
 Priority: extra
-Depends: axel (= ${binary:Version})
+Depends: ${misc:Depends}, axel (= ${binary:Version})
 Description: light download accelerator - debugging symbols
  Axel tries to accelerate the downloading process by using multiple connections
  for one file.  It can also use multiple mirrors for one download.  Axel tries
@@ -32,7 +32,7 @@ Description: light download accelerator - debugging symbols
 
 Package: axel-kapt
 Architecture: all
-Depends: python, axel, kaptain, xterm | x-terminal-emulator
+Depends: ${misc:Depends}, python, axel, kaptain, xterm | x-terminal-emulator
 Description: light download accelerator - graphical front-end
  Axel tries to accelerate the downloading process by using multiple connections
  for one file.  It can also use multiple mirrors for one download.  Axel tries
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 6844360..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,3 +0,0 @@
-01_bug_report
-02_axelkapt
-03_manpage_err
diff --git a/debian/patches/01_bug_report.dpatch b/debian/patches/01-bug-report.patch
similarity index 94%
rename from debian/patches/01_bug_report.dpatch
rename to debian/patches/01-bug-report.patch
index 8c3efef..74e5fd4 100644
--- a/debian/patches/01_bug_report.dpatch
+++ b/debian/patches/01-bug-report.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 01_bug_report.dpatch by Y Giridhar Appaji Nag <giridhar@appaji.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Change the bug reporting ID to submit@bugs.debian.org
+From: Y Giridhar Appaji Nag <giridhar@appaji.net>
+Subject: Change the bug reporting ID to submit@bugs.debian.org
 
-@DPATCH@
 diff -urNad axel-2.4~/de.po axel-2.4/de.po
 --- axel-2.4~/de.po	2009-04-27 19:49:03.000000000 +0530
 +++ axel-2.4/de.po	2009-04-29 14:06:58.000000000 +0530
diff --git a/debian/patches/02_axelkapt.dpatch b/debian/patches/02-axelkapt.patch
similarity index 77%
rename from debian/patches/02_axelkapt.dpatch
rename to debian/patches/02-axelkapt.patch
index 93b9853..eeb804b 100644
--- a/debian/patches/02_axelkapt.dpatch
+++ b/debian/patches/02-axelkapt.patch
@@ -1,11 +1,7 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 02_axelkapt.dpatch by Y Giridhar Appaji Nag <giridhar@appaji.net>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Use x-terminal-emulator, don't hardcode the terminal program.
-## DP: Add a MimeType filed to the desktop file and really install it
+From: Y Giridhar Appaji Nag <giridhar@appaji.net>
+Subject: Use x-terminal-emulator, don't hardcode the terminal program.
+ Add a MimeType filed to the desktop file and really install it
 
-@DPATCH@
 diff -urNad axel-2.4~/gui/kapt/axel-kapt axel-2.4/gui/kapt/axel-kapt
 --- axel-2.4~/gui/kapt/axel-kapt	2009-04-29 14:07:37.000000000 +0530
 +++ axel-2.4/gui/kapt/axel-kapt	2009-04-29 14:08:25.000000000 +0530
diff --git a/debian/patches/03_manpage_err.dpatch b/debian/patches/03-manpage-err.patch
similarity index 70%
rename from debian/patches/03_manpage_err.dpatch
rename to debian/patches/03-manpage-err.patch
index 199f170..b62af63 100644
--- a/debian/patches/03_manpage_err.dpatch
+++ b/debian/patches/03-manpage-err.patch
@@ -1,10 +1,6 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03_manpage_err.dpatch by Y Giridhar Appaji Nag <appaji@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Remove erroneous comments at the beginning of zh_CN axel manpage
+From: Y Giridhar Appaji Nag <appaji@debian.org>
+Subject: Remove erroneous comments at the beginning of zh_CN axel manpage
 
-@DPATCH@
 diff -urNad axel-2.4~/axel_zh_CN.1 axel-2.4/axel_zh_CN.1
 --- axel-2.4~/axel_zh_CN.1	2009-04-27 19:49:03.000000000 +0530
 +++ axel-2.4/axel_zh_CN.1	2009-04-29 14:22:32.000000000 +0530
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..9b37b5f
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,3 @@
+01-bug-report.patch
+02-axelkapt.patch
+03-manpage-err.patch
diff --git a/debian/rules b/debian/rules
index 2543950..48bfb78 100755
--- a/debian/rules
+++ b/debian/rules
@@ -1,24 +1,27 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpatch/dpatch.make
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-configure: patch configure-stamp
+configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	./configure --i18n=1 --debug=0 --prefix=/usr --etcdir=/etc --strip=0
 	touch $@
 
+
+build-arch: build
+build-indep: build
+
 build: build-stamp
 
-build-stamp: patch-stamp configure-stamp
+build-stamp: configure-stamp
 	dh_testdir
 	$(MAKE)
 	touch $@
 
-clean: clean-patched unpatch
+clean: clean-patched
 clean-patched:
 	dh_testdir
 	dh_testroot
@@ -29,7 +32,7 @@ clean-patched:
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) DESTDIR=$(CURDIR)/debian/axel install
 	$(MAKE) -C gui/kapt DESTDIR=$(CURDIR)/debian/axel-kapt install
@@ -66,4 +69,4 @@ binary-arch: build install
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch
+.PHONY: build clean binary-indep binary-arch binary install configure
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.10

